[![ko-fi](https://ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/F1F65KGH9)
# Modding Server:
[![discord server](https://i.imgur.com/kym7QnV.png)](https://discord.gg/me7P53smzk)
click me

# Inferno
![In-Game Difficulty](https://cdn.discordapp.com/attachments/788866573409845250/965676392912134164/unknown.png)
![Difficulty Icon](https://cdn.discordapp.com/attachments/788866573409845250/964188285503172618/texRainarokIcon.png)
## This difficulty aims to make the game tougher in a fair, learnable way. It requires lots of awareness and skill.
*It should feel a lot more like the planet doesn't want you here, and is there to obliterate you. You are likely gonna get swarmed.*

For anyone curious, monster level regen is 0.07, level move speed is 0.1 and level attack speed is 0.002.

Note: This is a beta release, please report any errors and issues in the respective discord channel.

Note #2: Other mods that change enemies might not be compatible with this difficulty.

I have changed lots of enemy AI, mainly to make them less stupid.
Some of the more annoying airborne enemies now fight closer up.
Some of the less threatening enemies have received major buffs to make them deadly.
Bosses have more HP and hopefully feel intimidating now with their skill/AI changes.
I haven't gotten around to changing every enemy yet.
I also want some feedback on the mod as a whole if possible :)

# 1.0.5 Patch Notes
- Buffed Imp Overlord void spikes, move speed, tweaked AI
- Buffed Geep and Gip damage and move speed
- Buffed Aurelionite health, move speed, tweaked AI to match stone titan
- Buffed Beetle Queen - tweaked AI
- Buffed Imp - tweaked AI
- Buffed Mini Mushrum cooldowns
- Buffed Beetle Guard animation times
- Buffed Mithrix Phase 1 and 3 aggression, wave damage, wave count, tweaked AI
- Buffed Phase 4 Mithrix - unable to be frozen
- Buffed Elder Lemurian firebreath radius and spread
- Nerfed Imp Overlord void spikes damage
- Nerfed Phase 4 Mithrix orb slam animation time
- Nerfed Stone Golem aim very slightly
- Nerfed Xi Construct aim a looot
- Nerfed Elder Lemurian firebreath animation times
- Nerfed Clay Templar damage

# 1.0.4 Patch Notes
- Nerfed Minor Construct fire rate quite a bit
- Nerfed Blind Pest damage quite a bit
- Nerfed Monster aim very slightly

# 1.0.3 Patch Notes
- Buffed Monster projectile speed by 20%
- A couple bugfixes, one of which will make the game harder

# 1.0.2 Patch Notes
- Changed Imp AI a little bit
- Changed Mini Mushrum AI
- Changed Wandering Vagrant AI - shouldn't be as close now
- Buffed Beetles, Lesser Wisps and Void Reavers - they are now resistant to stuns
- Buffed Solus Control Unit health and speed
- Buffed Scavenger speed
- Buffed Larva health
- Buffed Imp dash distance
- Buffed Imp slash boost
- Buffed Alloy Vulture cooldowns
- Buffed Clay Dunestrider animation times, tarball count and barrage ball count
- Buffed Minor Construct animation times
- Buffed Wandering Vagrant animation times
- Buffed Xi Construct aim
- Buffed Hermit Crab mortar count, damage overall and animation times
- Buffed Grandparent rock throw animation times and speed
- Buffed Brass Contraption animation times
- Buffed Imp Overlord void spikes damage slightly
- Buffed Imp Overlord ground pound radius slightly
- Nerfed Larva speed massively
- Nerfed Beetle dash animation speed yet again (literally went from 1.5s => 1.62s => 2.7s in three versions lol)
- Nerfed Xi Construct range
- Nerfed Clay Dunestrider barrage ball damage

# 1.0.1 Patch Notes
- Added Based mod dependency
- Changed Monsters to no longer start with Titanic Knurl
- Changed Mithrix - lower health across the board, higher base damage for Phase 4, Phase 4 item steal should be more similar to vanilla now
- Buffed Monster level regen slightly, with the loss of Titanic Knurl
- Buffed Parent move speed and cooldowns
- Buffed Bighorn Bison move speed, cooldowns and tweaked AI
- Buffed Lunar Exploder cooldowns
- Buffed Lemurian fireball damage slightly
- Buffed Lesser Wisp spawn animation time
- Buffed Mini Mushrum animation times and damage quite a bit
- Buffed Void Barnacles animation time and projectile count
- Buffed Clay Dunestrider balls animation time and projectile count
- Buffed Gup damage and move speed, tweaked AI, each split gains more move speed
- Buffed Void Reaver balls animation time and projectile count
- Buffed Clay Apothecary range and move speed
- Buffed Escape Sequence Lines damage (mfw Mithrix Phase 4 breaks opal and this change rarely comes into play)
- Nerfed Lunar Exploder move speed
- Nerfed Lunar Wisp damage, changed their AI to be more close range
- Nerfed Beetle dash animation time slightly
- Nerfed Stone Golem aim slightly